Findbar broken on Windows in Conversation window

RESOLVED FIXED in 0.3a1

Status

Instantbird
Conversation
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: clokep, Assigned: clokep)

Tracking

trunk
0.3a1
x86
Windows 7

Details

Attachments

(2 attachments)

(Assignee)

Description

4 years ago
*** Original post on bio 625 at 2010-12-12 22:21:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
(Assignee)

Comment 1

4 years ago
Created attachment 8352163 [details]
Screenshot of the issue

*** Original post on bio 625 as attmnt 420 at 2010-12-12 22:21:00 UTC ***

The findbar recently broke in Conversation windows only on Microsoft Windows. (I.e. the log viewer works OK.)

When an invalid string is entered you get white text on a white background. This might have to do with removing textbox backgrounds recently.

The findbar works OK when the string is found.
(Assignee)

Comment 2

4 years ago
Created attachment 8352165 [details] [diff] [review]
The (simple) fix

*** Original post on bio 625 as attmnt 422 at 2010-12-13 00:38:00 UTC ***

The class just wasn't being specific in this case. I've verified that this fixes the issue.
Attachment #8352165 - Flags: review?(florian)
(Assignee)

Updated

4 years ago
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Comment on attachment 8352165 [details] [diff] [review]
The (simple) fix

*** Original change on bio 625 attmnt 422 at 2010-12-15 11:53:33 UTC ***

Looks good.
Attachment #8352165 - Flags: review?(florian) → review+
*** Original post on bio 625 at 2010-12-15 12:21:02 UTC ***

Fixed, thanks!
https://hg.instantbird.org/instantbird/rev/2e8af77af2f2
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.3a1
You need to log in before you can comment on or make changes to this bug.